wreport (3.36-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:56 +1100

wreport (3.36-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063235

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:46:17 +0000

wreport (3.36-1) unstable; urgency=medium

  * New upstream version (Closes: #1037898)
  * Use `DEB_PYTHON_INSTALL_LAYOUT = deb` to build with meson

 -- Enrico Zini <enrico@debian.org>  Thu, 27 Jul 2023 15:46:12 +0200

wreport (3.35-2) unstable; urgency=medium

  * Build-Depend on python3-dev instead of python3-all-dev (Closes: #1024302)
  * Depend on dh-sequence-sphinxdoc, simplifying debian/rules and B-D list
  * Depend on debhelper-compat, removed debian/compat
  * Stop using dh-buildinfo
  * Updated Standards-Version, no changes required
  * Added Vcs-Browser
  * Mark the two test executable as debian/not-installed for now

 -- Enrico Zini <enrico@debian.org>  Sat, 19 Nov 2022 13:29:35 +0100

wreport (3.35-1) unstable; urgency=medium

  * Fixed a corner case in decoding of associated fields (#52)

 -- Emanuele Di Giacomo <edigiacomo@arpae.it>  Wed, 19 Oct 2022 10:50:22 +0200

wreport (3.34-1) unstable; urgency=medium

  * Removed broken debian/watch
  * Versioned dependency on debhelper
  * Removed unneeded --parallel argument to dh in debian/rules
  * Add use of ${sphinxdoc:Depends} in libwreport-doc
  * New upstream version. Closes: #1013069
     - Fixed decoding of missing values in compressed MODES messages (#48)
     - Conversion V <-> mV and NTU <-> LM
     - Fixed decoding of associated fields in compressed messages (#47)
     - Fixed dtable parser (#43)
     - Improved documentation (#42)
     - Implemented `var_hook_domain_errors` option, required by dballe:#241
     - Implemented `var_clamp_domain_errors` option, required by dballe:#241
     - Support Lua 5.4
     - Decode compressed string with non-empty reference values (#38)
     - Updated wobble and wobblepy
     - Always include wreport/version.h so that code that needs it can be compatibile with old versions
     - Added NEWS.md (#34)
     - Updated lookup/guessing of reference year century on BUFR ed.3 (#36)
     - Fix bug with C table modifier 207YYY (#37)
     - Improved documentation

 -- Enrico Zini <enrico@debian.org>  Mon, 08 Aug 2022 19:27:20 +0200

wreport (3.23-2) unstable; urgency=medium

  * Added missing liblua5.1-0-dev dependency on libwreport-dev

 -- Enrico Zini <enrico@debian.org>  Sun, 01 Sep 2019 07:55:59 +0200

wreport (3.23-1) unstable; urgency=medium

  * New upstream version
     - Fixed build on 32bit machines
  * Depend on python3-docutils instead of python-docutils. Closes: #938832

 -- Enrico Zini <enrico@debian.org>  Fri, 30 Aug 2019 18:53:13 +0200

wreport (3.22-1) unstable; urgency=medium

  * New upstream version
     - python3-only bindings
     - improvements to BUFR encoding/decoding

 -- Enrico Zini <enrico@debian.org>  Fri, 30 Aug 2019 09:41:11 +0200

wreport (3.16-1) unstable; urgency=medium

  * New upstream version
     - Fixed unexpected truncation of variable descriptitons introduced with a
       bounds checking fix

 -- Enrico Zini <enrico@debian.org>  Wed, 19 Sep 2018 15:58:10 +0200

wreport (3.15-1) unstable; urgency=medium

  * New upstream version
     - Fixed Lua dependencies in generated pkg-config file
     - Reverted a unit test check that got in by mistake

 -- Enrico Zini <enrico@debian.org>  Wed, 19 Sep 2018 15:12:56 +0200

wreport (3.14-1) unstable; urgency=medium

  * New upstream version
     - Fixed parallel build of documentation. Closes: #904714

 -- Enrico Zini <enrico@debian.org>  Wed, 19 Sep 2018 14:13:57 +0200

wreport (3.13-1) unstable; urgency=medium

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu, 26 Jul 2018 20:54:17 +0800

wreport (3.12-1) unstable; urgency=medium

  * New upstream version
  * Remove absolute paths from doxygen tags file, thanks Chris Lamb for the
    patch. Closes: #890487

 -- Enrico Zini <enrico@debian.org>  Wed, 25 Jul 2018 09:42:00 +0800

wreport (3.6-1) unstable; urgency=medium

  * New upstream version
     - fixed comparing Var values with doubles in test functions
  * Updated standards-version, no change required

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Aug 2016 15:32:18 +0200

wreport (3.5-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Correct python3:Depends substitution variable for python3-wreport so that
    correct dependency information is generated
  * Minor cleanup of obsolete Python packaging information in debian/control
  * Add dh-python to build-depends rather than depending on it indirectly

  [ Enrico Zini ]
  * New upstream version
  * Applied Scott's patch. Closes: #810060

 -- Enrico Zini <enrico@debian.org>  Tue, 26 Jan 2016 17:25:24 +0100

wreport (3.3-1) unstable; urgency=medium

  * New major upstream version
     - Big refactoring, API and ABI changed, increased soname
     - Requires C++11
     - Updated vcs links after the code has been migrated from subversion to
       github
     - Fixed debian/changelog syntax
     - Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Mon, 02 Nov 2015 11:18:08 +0100

wreport (2.15-1) UNRELEASED; urgency=medium

  * New upstream version
     - Added BUFR/CREX tables version 23 
     - Changed table selection algorithm to allow for smarter euristics
     - If a table is not found but there is a suitable newer one, try using it
     - Implemented decoding of associated fields in compresed BUFR messages
     - Implemented wrep --unparsable, to extract unparsable bulletin from
       large files when one needs to file a bug report
     - Implemented wrep --tables, to print table versions used by bulletins in
       one or more files
     - Fixed file offset reporting for CREX messages

 -- Enrico Zini <enrico@enricozini.org>  Mon, 30 Mar 2015 15:32:49 +0200

wreport (2.14-1) unstable; urgency=medium

  * New upstream version
     - Added support for one-bit delayed replicator B31000, a new test case
       and the BUFR tables it requires.
     - Use dh-autoreconf. Closes: #734685. Thanks: Logan Rosen <logan@ubuntu.com>

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 00:44:39 +0200

wreport (2.13-1) unstable; urgency=medium

  * New upstream version
     - Added more unit conversions to deal with the changed unit names in new
       BUFR tables

 -- Enrico Zini <enrico@debian.org>  Mon, 04 Aug 2014 17:08:03 +0200

wreport (2.12-1) unstable; urgency=low

  * New upstream version
     - Updated wrep-importtable to deal with new zipfiles and XML files
       published by WMO
     - Ship more tables (CREX table 17 is a copy of table 18 as a workaround,
       since I could not find a parseable version of table 17)
  * Updated standards-version, no change required

 -- Enrico Zini <enrico@debian.org>  Fri, 01 Aug 2014 12:38:37 +0200

wreport (2.11-1) UNRELEASED; urgency=low

  * New upstream version
     - Split test suite support code into libwibble-test.so
     - Added support for Lua 5.2

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Nov 2013 13:55:24 +0100

wreport (2.10-1) unstable; urgency=low

  * New upstream version
     - No changes, but bumped the version number to succeed an internally
       released 2.9

 -- Enrico Zini <enrico@debian.org>  Tue, 12 Nov 2013 12:26:52 +0100

wreport (2.9-1) unstable; urgency=low

  * New upstream version
     - Allow to dump data descriptor section without needing to decode the
       rest of the message
     - Implemented support for BUFR C07yyy modifiers
     - Build with new libwibble which already has some of our test utils
     - Added optionally compiled wibble test functions for Var
     - Add optional libs ldflags to pkg-config metadata
  * Depend on libwibble 1.0

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Oct 2013 23:46:10 +0200

wreport (2.8-1) unstable; urgency=low

  * New upstream version
     - Include BUFR tables version 16
  * Updated standards-version, no change required
  * Debhelper compat level bumped to 9, to get hardening flags
  * Switched to multiarch

 -- Enrico Zini <enrico@debian.org>  Thu, 27 Jun 2013 16:27:12 +0200

wreport (2.7-1) UNRELEASED; urgency=low

  * New upstream version
     - Deal with missing associated field significance

 -- Enrico Zini <enrico@debian.org>  Mon, 18 Feb 2013 20:56:25 +0100

wreport (2.6-1) UNRELEASED; urgency=low

  * New upstream version
     - Correctly decode bitmaps in compressed messages
     - Deal with C04 with B31021=21
     - Updated table D000000000980601 after seeing BUFR files which expect a
       different version of it

 -- Enrico Zini <enrico@debian.org>  Mon, 18 Feb 2013 20:56:25 +0100

wreport (2.5-1) UNRELEASED; urgency=low

  * New upstream version 
     - Added wreport::options to configure library behaviour
     - Implemented options::var_silent_domain_errors to silence domain
       errors and just unset the variable when assigning out of range values.

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 15:22:22 +0200

wreport (2.4-1) unstable; urgency=low

  * New upstream version 
     - Added compatibility functions to build on odd systems
  * Updated standards-version, no change required
  * Added Vcs-Svn header
  * Added watchfile

 -- Enrico Zini <enrico@debian.org>  Mon, 14 May 2012 17:32:07 +0200

wreport (2.3-1) unstable; urgency=low

  * New upstream version
     - Improvements to documentation and examples

 -- Enrico Zini <enrico@debian.org>  Mon, 03 Oct 2011 17:42:28 +0200

wreport (2.2-1) unstable; urgency=low

  * New upstream version
     - Added wrep-importtables to import WMO BUFR/CREX tables

 -- Enrico Zini <enrico@debian.org>  Thu, 01 Sep 2011 12:59:14 +0100

wreport (2.1-1) unstable; urgency=low

  * New upstream version
     - Fixed compiler error. Closes: #634425.

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Jul 2011 18:05:57 +0200

wreport (2.0-1) unstable; urgency=low

  * New upstream version
     - Big code, API and ABI cleanup
     - Finished C04yyy implementation for all data samples that we have
     - Documentation improvements
  * Upload to unstable. Closes: #612897.

 -- Enrico Zini <enrico@debian.org>  Thu, 16 Jun 2011 14:12:33 +0200

wreport (1.8-1) unstable; urgency=low

  * New upstream version 
     - Initial support for C04yyy modifiers
     - More detailed repetition operator notifications to DDS interpreters
     - Added a way to export low-level details about decoded BUFR messages
     - Support master table numbers

 -- Enrico Zini <enrico@debian.org>  Mon, 30 May 2011 23:45:19 +0200

wreport (1.7-1) unstable; urgency=low

  * New upstream version
     - Added a generic Bulletin Data Descriptor Section interpreter
     - Preserve C05YYY decoded character data
     - Added codetables.h to contain namespaced constants for BUFR code tables
     - conv.h: added vertical sounding significance code table conversion
       functions
     - convert_AOFVSS_to_BUFR08001 becomes convert_AOFVSS_to_BUFR08042
     - Added some more missing variables to CREX B tables
     - Added a notes sytem to collect remarks about unusual conditions noticed
       by wreport subsystems

 -- Enrico Zini <enrico@debian.org>  Tue, 08 Mar 2011 09:37:24 +0000

wreport (1.6-1) unstable; urgency=low

  * New upstream version
     - Fixed off-by-one error in variable truncation
     - More unit conversion cases handled for geopotential units

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Feb 2011 19:55:02 +0000

wreport (1.5-1) unstable; urgency=low

  * New upstream version
     - When assigning altered string variables to normal ones, truncate
       strings values if they are too long, instead of raising an error

 -- Enrico Zini <enrico@debian.org>  Tue, 08 Feb 2011 10:16:53 +0000

wreport (1.4-1) unstable; urgency=low

  * New upstream version
     - Implemented support for decoding BUFR C08xxx operators
     - Added Var::set_from_formatted()
     - Added D01035 to D0000000000000013000 (it was referenced by other
       entries, but it was missing)

 -- Enrico Zini <enrico@debian.org>  Fri, 04 Feb 2011 15:42:00 +0000

wreport (1.3-1) unstable; urgency=low

  * New upstream version
     - Implemented support for decoding BUFR C23xxx operators

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Jan 2011 00:13:27 +0100

wreport (1.2-1) unstable; urgency=low

  * New upstream version 
     - Added templated version of Var::enq()
     - Added Var::enq(default_value)
     - Better error messages on missing B and D table entries
     - Removed unused field in Subset, may break ABI.

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Nov 2010 10:51:30 +0000

wreport (1.1-1) unstable; urgency=low

  * New upstream version 
     - Fixed a segfault when handling large messages with bitmaps.

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 14:56:29 +0200

wreport (1.0-1) unstable; urgency=low

  * Initial version, forked from DB-All.e.

 -- Enrico Zini <enrico@debian.org>  Sat, 30 Sep 2006 17:42:22 +0200

